Index: code/branches/objecthierarchy/src/network/CMakeLists.txt
===================================================================
--- code/branches/objecthierarchy/src/network/CMakeLists.txt	(revision 1915)
+++ code/branches/objecthierarchy/src/network/CMakeLists.txt	(revision 1916)
@@ -21,5 +21,5 @@
 
 IF(WIN32)
-  ADD_LIBRARY( network ${NETWORK_SRC_FILES} )
+  ADD_LIBRARY( network SHARED ${NETWORK_SRC_FILES} )
 ELSE(WIN32)
   ADD_LIBRARY( network SHARED ${NETWORK_SRC_FILES} )
Index: code/branches/objecthierarchy/src/network/ClientConnection.h
===================================================================
--- code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/ClientConnection.h	(revision 1916)
@@ -60,5 +60,5 @@
 
 
-  class ClientConnection{
+  class _NetworkExport ClientConnection{
   public:
     ClientConnection(int port, std::string address);
@@ -96,5 +96,5 @@
     ENetPeer *server;
     boost::thread *receiverThread_;
-    
+
     static boost::recursive_mutex enet_mutex_;
   };
Index: code/branches/objecthierarchy/src/network/ClientInformation.h
===================================================================
--- code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/ClientInformation.h	(revision 1916)
@@ -57,5 +57,5 @@
   * @author Oliver Scheuss
   */
-  class ClientInformation{
+  class _NetworkExport ClientInformation{
   public:
     ClientInformation();
@@ -66,5 +66,5 @@
     ClientInformation *prev();
     static ClientInformation *insertBack(ClientInformation *ins);
-    
+
     // set functions
     void setID(int clientID);
@@ -73,5 +73,5 @@
     bool setPartialGamestateID(int id);
     inline void setShipID(unsigned int id){ShipID_=id;}
-    
+
     // get functions
     inline unsigned int getShipID(){return ShipID_;}
@@ -80,5 +80,5 @@
     int getPartialGamestateID();
     ENetPeer *getPeer();
-    
+
     int getFailures();
     void addFailure();
@@ -86,5 +86,5 @@
     enet_uint32 getRTT();
     enet_uint32 getPacketLoss();
-    
+
     static bool removeClient(int clientID);
     static bool removeClient(ENetPeer *peer);
@@ -99,10 +99,10 @@
   private:
     static ClientInformation *head_;
-    
+
     bool setNext(ClientInformation *next);
     bool setPrev(ClientInformation *prev);
     ClientInformation *insertAfter(ClientInformation *ins);
     ClientInformation *insertBefore(ClientInformation *ins);
-    
+
     ClientInformation *preve;
     ClientInformation *nexte;
@@ -115,5 +115,5 @@
     bool synched_;
     unsigned short failures_;
-    
+
   };
 
Index: code/branches/objecthierarchy/src/network/ConnectionManager.cc
===================================================================
--- code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/network/ConnectionManager.cc	(revision 1916)
@@ -49,5 +49,4 @@
 #include "core/BaseObject.h"
 #include "core/Iterator.h"
-#include "objects/SpaceShip.h"
 #include "util/Math.h"
 #include "util/Sleep.h"
@@ -331,17 +330,4 @@
 
 
-
-  bool ConnectionManager::removeShip(ClientInformation *client){
-    unsigned int id=client->getShipID();
-    orxonox::ObjectList<orxonox::SpaceShip>::iterator it;
-    for(it = orxonox::ObjectList<orxonox::SpaceShip>::begin(); it; ++it){
-      if(it->getObjectID()!=id)
-        continue;
-      delete *it;
-    }
-    return true;
-  }
-
-
   void ConnectionManager::disconnectClient(ClientInformation *client){
     {
@@ -350,5 +336,4 @@
       lock.unlock();
     }
-    removeShip(client);
   }
 
Index: code/branches/objecthierarchy/src/network/ConnectionManager.h
===================================================================
--- code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/ConnectionManager.h	(revision 1916)
@@ -66,5 +66,5 @@
     const int NETWORK_DEFAULT_CHANNEL = 0;
 
-  struct ClientList{
+  struct _NetworkExport ClientList{
     ENetEvent *event;
     int ID;
@@ -72,5 +72,5 @@
   };
 
-  class ConnectionManager{
+  class _NetworkExport ConnectionManager{
     public:
     static boost::recursive_mutex enet_mutex;
@@ -107,6 +107,4 @@
     int getClientID(ENetAddress address);
     ENetPeer *getClientPeer(int clientID);
-    //bool createShip(ClientInformation *client);
-    bool removeShip(ClientInformation *client);
     PacketBuffer buffer;
 
Index: code/branches/objecthierarchy/src/network/GamestateClient.cc
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/network/GamestateClient.cc	(revision 1916)
@@ -40,5 +40,5 @@
 namespace network
 {
-  struct GameStateItem{
+  struct _NetworkExport GameStateItem{
     packet::Gamestate *state;
     int id;
@@ -50,5 +50,4 @@
     last_gamestate_=GAMESTATEID_INITIAL-1;
     tempGamestate_=NULL;
-    myShip_=NULL;
   }
 
@@ -75,11 +74,5 @@
       return false;
     int id = GAMESTATEID_INITIAL;
-    bool b = saveShipCache();
     packet::Gamestate *processed = processGamestate(tempGamestate_);
-    if(!processed){
-      if(b)
-        loadShipCache();
-      return false;
-    }
 //    assert(processed);
     //successfully loaded data from gamestate. now save gamestate for diff and delete the old gs
@@ -87,6 +80,4 @@
     gamestateMap_[processed->getID()]=processed;
     last_diff_ = processed->getID();
-    if(b)
-      loadShipCache();
     id = processed->getID();
     sendAck(id);
@@ -134,5 +125,5 @@
 
   }
-  
+
   bool GamestateClient::sendAck(unsigned int gamestateID){
     packet::Acknowledgement *ack = new packet::Acknowledgement(gamestateID, 0);
@@ -145,37 +136,4 @@
       return true;
     }
-  }
-
-  bool GamestateClient::saveShipCache(){
-    if(myShip_==NULL){
-      myShip_ = orxonox::SpaceShip::getLocalShip();
-//      COUT(2) << "myShip_: " << myShip_ << " getLocalShip(): " << orxonox::SpaceShip::getLocalShip() << std::endl;
-      if(!myShip_)
-	return false;
-    }
-    if(myShip_){
-      //      unsigned char *data = new unsigned char[myShip_->getSize()];
-      int size=myShip_->getSize(0, 0x1);
-      if(size==0)
-        return false;
-      shipCache_ = new unsigned char [size];
-      unsigned char *temp = shipCache_;
-      if(!myShip_->getData(temp, 0, 0x1))
-        COUT(3) << "could not save shipCache" << std::endl;
-      return true;
-    }else
-      return false;
-  }
-
-  bool GamestateClient::loadShipCache(){
-    myShip_=orxonox::SpaceShip::getLocalShip(); //TODO: remove this (only a hack)
-    if(myShip_ && shipCache_){
-      assert(myShip_->getIdentifier());
-      unsigned char *temp = shipCache_;
-      myShip_->updateData(temp, 0x2);
-      delete shipCache_;
-      return true;
-    }else
-      return false;
   }
 
Index: code/branches/objecthierarchy/src/network/GamestateClient.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/GamestateClient.h	(revision 1916)
@@ -46,5 +46,4 @@
 #include "core/CorePrereqs.h"
 #include "packet/Gamestate.h"
-#include "objects/SpaceShip.h"
 #include "GamestateHandler.h"
 
@@ -53,5 +52,5 @@
 namespace network
 {
-  class GamestateClient: public GamestateHandler
+  class _NetworkExport GamestateClient: public GamestateHandler
   {
   public:
@@ -70,6 +69,4 @@
     void printGamestateMap();
     bool sendAck(unsigned int gamestateID);
-    bool saveShipCache();
-    bool loadShipCache();
 
     int           last_diff_;
@@ -77,5 +74,4 @@
     std::map<int, packet::Gamestate *> gamestateMap_;
     packet::Gamestate *tempGamestate_; // we save the received gamestates here during processQueue
-    orxonox::SpaceShip *myShip_;
     unsigned char *shipCache_;
 
Index: code/branches/objecthierarchy/src/network/GamestateHandler.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/GamestateHandler.h	(revision 1916)
@@ -39,5 +39,5 @@
 	@author Oliver Scheuss
 */
-class GamestateHandler{
+class _NetworkExport GamestateHandler{
   private:
     virtual bool add(packet::Gamestate *gs, int clientID)=0;
Index: code/branches/objecthierarchy/src/network/GamestateManager.h
===================================================================
--- code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/GamestateManager.h	(revision 1916)
@@ -66,5 +66,5 @@
   * @author Oliver Scheuss
   */
-  class GamestateManager: public GamestateHandler{
+  class _NetworkExport GamestateManager: public GamestateHandler{
   public:
     GamestateManager();
Index: code/branches/objecthierarchy/src/network/Host.h
===================================================================
--- code/branches/objecthierarchy/src/network/Host.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/Host.h	(revision 1916)
@@ -44,5 +44,5 @@
 *	@author Oliver Scheuss
 */
-class Host{
+class _NetworkExport Host{
   private:
     //TODO add theese functions or adequate
@@ -72,5 +72,5 @@
     static void setClientID(unsigned int id){ instance_->clientID_ = id; }
     static void setShipID(unsigned int id){ instance_->shipID_ = id; }
-    static bool isServer(){ return instance_->isServer_(); }		
+    static bool isServer(){ return instance_->isServer_(); }
     static bool Chat(std::string message);
     static bool incomingChat(std::string message, unsigned int playerID);
Index: code/branches/objecthierarchy/src/network/NetworkCallback.h
===================================================================
--- code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/NetworkCallback.h	(revision 1916)
@@ -2,6 +2,8 @@
 #define _NETWORK_CALLBACK__
 
+#include "NetworkPrereqs.h"
+
 namespace network{
-  class NetworkCallbackBase
+  class _NetworkExport NetworkCallbackBase
   {
     public:
@@ -9,7 +11,7 @@
 	  virtual ~NetworkCallbackBase() {}
   };
-  
+
   template <class T>
-  class NetworkCallback: public NetworkCallbackBase
+  class _NetworkExport NetworkCallback: public NetworkCallbackBase
   {
     public:
@@ -18,9 +20,9 @@
       virtual void call()
         { (this->object_->*function_)(); }
-  
+
     private:
       T* object_;
       void (T::*function_) (void);
-  }; 
+  };
 
 
Index: code/branches/objecthierarchy/src/network/PacketBuffer.h
===================================================================
--- code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/PacketBuffer.h	(revision 1916)
@@ -49,10 +49,10 @@
 namespace network
 {
-  struct PacketEnvelope{
+  struct _NetworkExport PacketEnvelope{
     int length;
     int data;
   };
 
-  struct QueueItem{
+  struct _NetworkExport QueueItem{
     ENetEvent *event;
     //ENetAddress address;
@@ -60,5 +60,5 @@
   };
 
-  class PacketBuffer{
+  class _NetworkExport PacketBuffer{
   public:
     PacketBuffer();
Index: code/branches/objecthierarchy/src/network/Server.cc
===================================================================
--- code/branches/objecthierarchy/src/network/Server.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/network/Server.cc	(revision 1916)
@@ -49,5 +49,4 @@
 #include "ClientInformation.h"
 #include "util/Sleep.h"
-#include "objects/SpaceShip.h"
 #include "core/ConsoleCommand.h"
 #include "core/CoreIncludes.h"
@@ -101,5 +100,5 @@
     gamestates_ = new GamestateManager();
   }
-  
+
   /**
   * @brief Destructor
@@ -304,10 +303,4 @@
     COUT(4) << "Con.Man: creating client id: " << temp->getID() << std::endl;
     connection->syncClassid(temp->getID());
-    COUT(5) << "creating spaceship for clientid: " << temp->getID() << std::endl;
-    // TODO: this is only a hack, untill we have a possibility to define default player-join actions
-    if(!createShip(temp))
-      COUT(2) << "Con.Man. could not create ship for clientid: " << clientID << std::endl;
-    else
-      COUT(3) << "created spaceship" << std::endl;
     temp->setSynched(true);
     COUT(3) << "sending welcome" << std::endl;
@@ -327,32 +320,4 @@
   }
 
-  bool Server::createShip(ClientInformation *client){
-    if(!client)
-      return false;
-    orxonox::Identifier* id = ClassByName("SpaceShip");
-    if(!id){
-      COUT(4) << "We could not create the SpaceShip for client: " << client->getID() << std::endl;
-      return false;
-    }
-    orxonox::SpaceShip *no = dynamic_cast<orxonox::SpaceShip *>(id->fabricate());
-    no->classID = id->getNetworkID();
-    client->setShipID(no->getObjectID());
-    no->setPosition(orxonox::Vector3(0,0,80));
-    no->setScale(10);
-    //no->setYawPitchRoll(orxonox::Degree(-90),orxonox::Degree(-90),orxonox::Degree(0));
-    no->setMesh("assff.mesh");
-    no->setMaxSpeed(500);
-    no->setMaxSideAndBackSpeed(50);
-    no->setMaxRotation(1.0);
-    no->setTransAcc(200);
-    no->setRotAcc(3.0);
-    no->setTransDamp(75);
-    no->setRotDamp(1.0);
-    no->setCamera(std::string("cam_") + convertToString(client->getID()));
-    no->create();
-
-    return true;
-  }
-
   bool Server::disconnectClient(ENetEvent *event){
     COUT(4) << "removing client from list" << std::endl;
@@ -360,20 +325,9 @@
 
     //boost::recursive_mutex::scoped_lock lock(head_->mutex_);
-    orxonox::ObjectList<orxonox::SpaceShip>::iterator it = orxonox::ObjectList<orxonox::SpaceShip>::begin();
     ClientInformation *client = ClientInformation::findClient(&event->peer->address);
     if(!client)
       return false;
     gamestates_->removeClient(client);
-    while(it){
-      if(it->getObjectID()!=client->getShipID()){
-        ++it;
-        continue;
-      }
-      orxonox::ObjectList<orxonox::SpaceShip>::iterator temp=it;
-      ++it;
-      delete  *temp;
-      return ClientInformation::removeClient(event->peer);
-    }
-    return false;
+    return ClientInformation::removeClient(event->peer);
   }
 
@@ -387,5 +341,5 @@
     gamestates_->removeClient(client);
   }
-  
+
   bool Server::chat(std::string message){
     ClientInformation *temp = ClientInformation::getBegin();
Index: code/branches/objecthierarchy/src/network/Server.h
===================================================================
--- code/branches/objecthierarchy/src/network/Server.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/Server.h	(revision 1916)
@@ -52,5 +52,5 @@
 {
   const int CLIENTID_SERVER = 0;
-  
+
   /**
   * This class is the root class of the network module for a server.
@@ -64,5 +64,5 @@
     Server(int port, const char *bindAddress);
     ~Server();
-    
+
     void open();
     void close();
@@ -77,8 +77,7 @@
     unsigned int shipID(){return 0;}
     unsigned int playerID(){return 0;}
-    
+
     bool addClient(ENetEvent *event);
     bool createClient(int clientID);
-    bool createShip(ClientInformation *client);
     bool disconnectClient(ENetEvent *event);
     void disconnectClient(int clientID);
@@ -88,10 +87,10 @@
     bool sendObjectDeletes();
     virtual bool chat(std::string message);
-    
+
     //void processChat( chat *data, int clientId);
     ConnectionManager *connection;
     GamestateManager *gamestates_;
 
-    
+
     float timeSinceLastUpdate_;
   };
Index: code/branches/objecthierarchy/src/network/Synchronisable.h
===================================================================
--- code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/Synchronisable.h	(revision 1916)
@@ -46,9 +46,4 @@
 #define REGISTERSTRING_WITHDIR(stringname, mode) registerVar(&stringname, stringname.length()+1, network::STRING, mode)
 
-//TODO: this is only a very ugly hack ...
-namespace orxonox{
-class SpaceShip;
-}
-
 namespace network
 {
@@ -60,5 +55,5 @@
     };
   }
-  
+
   namespace syncmode{
     enum mode{
@@ -67,5 +62,5 @@
     };
   }
-  
+
   enum variableType{
     DATA,
@@ -73,5 +68,5 @@
   };
 
-  struct synchronisableHeader{
+  struct _NetworkExport synchronisableHeader{
     uint32_t size:31;
     bool dataAvailable:1;
@@ -80,5 +75,5 @@
   };
 
-  typedef struct synchronisableVariable{
+  typedef struct _NetworkExport synchronisableVariable{
     unsigned int size;
     int mode; // this determines in which direction the variable gets synchronised
@@ -98,11 +93,10 @@
     friend class GamestateClient;
     friend class Server;
-    friend class orxonox::SpaceShip;
     virtual ~Synchronisable();
 
-    
+
     virtual bool create();
     static void setClient(bool b);
-    
+
     static Synchronisable *fabricate(uint8_t*& mem, int mode=0x0);
     static bool deleteObject(unsigned int objectID);
@@ -110,5 +104,5 @@
     static unsigned int getNumberOfDeletedObject(){ return deletedObjects_.size(); }
     static unsigned int popDeletedObject(){ unsigned int i = deletedObjects_.front(); deletedObjects_.pop(); return i; }
-    
+
     inline unsigned int getObjectID(){return objectID;}
     inline unsigned int getClassID(){return classID;}
@@ -119,6 +113,6 @@
     void setObjectFrequency(unsigned int freq){ objectFrequency_ = freq; }
     virtual void registerAllVariables()=0;
-    
-    
+
+
   private:
     bool getData(uint8_t*& men, unsigned int id, int mode=0x0);
@@ -128,8 +122,8 @@
     bool doSelection(unsigned int id);
     bool isMyTick(unsigned int id);
-    
+
     unsigned int objectID;
     unsigned int classID;
-    
+
     std::list<synchronisableVariable *> *syncList;
     static int state_; // detemines wheter we are server (default) or client
Index: code/branches/objecthierarchy/src/network/packet/Acknowledgement.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/Acknowledgement.h	(revision 1916)
@@ -29,4 +29,5 @@
 #define NETWORKACKNOLEDGEMENT_H
 
+#include "../NetworkPrereqs.h"
 #include "Packet.h"
 
@@ -35,7 +36,7 @@
 namespace packet {
 /**
-	@author 
+	@author
 */
-class Acknowledgement : public Packet
+class _NetworkExport Acknowledgement : public Packet
 {
 public:
@@ -43,8 +44,8 @@
   Acknowledgement( uint8_t* data, unsigned int clientID );
   ~Acknowledgement();
-  
+
   inline unsigned int getSize() const;
   bool process();
-  
+
   unsigned int getAckID();
 private:
Index: code/branches/objecthierarchy/src/network/packet/Chat.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/Chat.h	(revision 1916)
@@ -2,4 +2,6 @@
 #ifndef NETWORKCHAT_H
 #define NETWORKCHAT_H
+
+#include "../NetworkPrereqs.h"
 
 #include <string>
@@ -11,7 +13,7 @@
 namespace packet {
 /**
-	@author 
+	@author
 */
-class Chat : public Packet
+class _NetworkExport Chat : public Packet
 {
 public:
@@ -19,8 +21,8 @@
   Chat( uint8_t* data, unsigned int clientID );
   ~Chat();
-  
+
   inline unsigned int getSize() const;
   bool process();
-  
+
   unsigned int getMessageLength(){ return messageLength_; };
   unsigned char *getMessage();
Index: code/branches/objecthierarchy/src/network/packet/ClassID.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/ClassID.h	(revision 1916)
@@ -29,4 +29,6 @@
 #define NETWORKCLASSID_H
 
+#include "../NetworkPrereqs.h"
+
 #include <string>
 
@@ -37,7 +39,7 @@
 
 /**
-	@author 
+	@author
 */
-class ClassID : public Packet
+class _NetworkExport ClassID : public Packet
 {
 public:
@@ -45,8 +47,8 @@
   ClassID( uint8_t* data, unsigned int clientID );
   ~ClassID();
-  
+
   inline unsigned int getSize() const;
   bool process();
-  
+
   unsigned int getClassID();
   unsigned int getClassNameLength(){ return classNameLength_; }
Index: code/branches/objecthierarchy/src/network/packet/DeleteObjects.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/DeleteObjects.h	(revision 1916)
@@ -29,4 +29,6 @@
 #define NETWORKPACKETDELETEOBJECTS_H
 
+#include "../NetworkPrereqs.h"
+
 #include "Packet.h"
 
@@ -35,7 +37,7 @@
 namespace packet {
 /**
-	@author 
+	@author
 */
-class DeleteObjects : public Packet
+class _NetworkExport DeleteObjects : public Packet
 {
 public:
@@ -43,10 +45,10 @@
   DeleteObjects( uint8_t* data, unsigned int clientID );
   ~DeleteObjects();
-  
+
   bool fetchIDs();
-  
+
   inline unsigned int getSize() const;
   bool process();
-  
+
 private:
 };
Index: code/branches/objecthierarchy/src/network/packet/Gamestate.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/Gamestate.h	(revision 1916)
@@ -27,4 +27,10 @@
  */
 
+
+#ifndef NETWORK_PACKETGAMESTATE_H
+#define NETWORK_PACKETGAMESTATE_H
+
+#include "../NetworkPrereqs.h"
+
 #include "Packet.h"
 #include "network/Synchronisable.h"
@@ -34,13 +40,9 @@
 #endif
 
-
-#ifndef NETWORK_PACKETGAMESTATE_H
-#define NETWORK_PACKETGAMESTATE_H
-
 namespace network {
 
 namespace packet {
 
-struct GamestateHeader{
+struct _NetworkExport GamestateHeader{
   ENUM::Type packetType;
   int32_t id; // id of the gamestate
@@ -59,5 +61,5 @@
 	@author Oliver Scheuss
 */
-class Gamestate: public Packet{
+class _NetworkExport Gamestate: public Packet{
   public:
     Gamestate();
Index: code/branches/objecthierarchy/src/network/packet/Packet.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/Packet.h	(revision 1916)
@@ -29,4 +29,6 @@
 #define NETWORKPACKET_H
 
+#include "../NetworkPrereqs.h"
+
 #include <map>
 #include <enet/enet.h>
@@ -37,5 +39,5 @@
 
 namespace packet{
-  
+
 namespace ENUM{
   enum Direction{
@@ -53,9 +55,9 @@
   };
 }
-  
+
 /**
 	@author Oliver Scheuss <scheusso [at] ee.ethz.ch>
 */
-class Packet{
+class _NetworkExport Packet{
   public:
     Packet(const Packet &p);
@@ -63,5 +65,5 @@
     static Packet *createPacket(ENetPacket *packet, ENetPeer *peer);
     static void deletePacket(ENetPacket *packet);
-    
+
     virtual unsigned char *getData(){ return data_; };
     virtual unsigned int getSize() const =0;
@@ -73,5 +75,5 @@
     void setClientID( int id )
       { clientID_ = id; }
-    
+
     bool send();
   protected:
Index: code/branches/objecthierarchy/src/network/packet/Welcome.h
===================================================================
--- code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 1915)
+++ code/branches/objecthierarchy/src/network/packet/Welcome.h	(revision 1916)
@@ -29,4 +29,6 @@
 #define NETWORKWELCOME_H
 
+#include "../NetworkPrereqs.h"
+
 #include "Packet.h"
 
@@ -35,7 +37,7 @@
 
 /**
-	@author 
+	@author
 */
-class Welcome : public Packet
+class _NetworkExport Welcome : public Packet
 {
 public:
@@ -43,9 +45,9 @@
   Welcome( uint8_t* data, unsigned int clientID );
   virtual ~Welcome();
-  
+
   uint8_t *getData();
   inline unsigned int getSize() const;
   bool process();
-  
+
 private:
 };
Index: code/branches/objecthierarchy/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/objecthierarchy/src/orxonox/CMakeLists.txt	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/CMakeLists.txt	(revision 1916)
@@ -42,24 +42,12 @@
   tools/WindowEventListener.cc
 
-  objects/Ambient.cc
-  objects/Backlight.cc
+#  objects/Backlight.cc
   objects/Camera.cc
   objects/CameraHandler.cc
-  objects/Model.cc
-  objects/NPC.cc
-  objects/ParticleSpawner.cc
+#  objects/ParticleSpawner.cc
   objects/Radar.cc
   objects/RadarListener.cc
   objects/RadarViewable.cc
-  objects/Skybox.cc
-  objects/SpaceShip.cc
-  objects/SpaceShipAI.cc
   objects/Tickable.cc
-  objects/WorldEntity.cc
-
-  objects/Projectile.cc
-  objects/BillboardProjectile.cc
-  objects/RotatingProjectile.cc
-  objects/ParticleProjectile.cc
 
   tolua/tolua_bind.cc
@@ -83,14 +71,6 @@
   SET( ORXONOXS_SRC_FILES
     GraphicsEngine.cc
-    objects/Ambient.cc
     objects/Camera.cc
     objects/CameraHandler.cc
-    objects/Explosion.cc
-    objects/Model.cc
-    objects/NPC.cc
-    objects/Projectile.cc
-    objects/Skybox.cc
-    objects/SpaceShip.cc
-    objects/WorldEntity.cc
   )
 
Index: code/branches/objecthierarchy/src/orxonox/OrxonoxPrereqs.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/OrxonoxPrereqs.h	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/OrxonoxPrereqs.h	(revision 1916)
@@ -81,19 +81,7 @@
 
     // objects
-    class Ambient;
     class Backlight;
     class Camera;
-    class Model;
-    class NPC;
     class ParticleSpawner;
-    class Skybox;
-    class SpaceShip;
-    class SpaceShipAI;
-    class WorldEntity;
-
-    class Projectile;
-    class BillboardProjectile;
-    class RotatingProjectile;
-    class ParticleProjectile;
 
     // tools
Index: code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/gamestates/GSLevel.cc	(revision 1916)
@@ -40,8 +40,8 @@
 #include "core/ConfigValueIncludes.h"
 #include "core/CoreIncludes.h"
-#include "objects/Backlight.h"
+//#include "objects/Backlight.h"
 #include "objects/Tickable.h"
 #include "objects/Radar.h"
-#include "tools/ParticleInterface.h"
+//#include "tools/ParticleInterface.h"
 #include "Settings.h"
 #include "GraphicsEngine.h"
@@ -146,4 +146,5 @@
         float change = factor / this->timeFactor_;
         this->timeFactor_ = factor;
+/*
         for (ObjectList<ParticleInterface>::iterator it = ObjectList<ParticleInterface>::begin(); it; ++it)
             it->setSpeedFactor(it->getSpeedFactor() * change);
@@ -151,4 +152,5 @@
         for (ObjectList<Backlight>::iterator it = ObjectList<Backlight>::begin(); it; ++it)
             it->setTimeFactor(timeFactor_);
+*/
     }
 
Index: code/branches/objecthierarchy/src/orxonox/objects/Radar.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/Radar.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/objects/Radar.cc	(revision 1916)
@@ -36,6 +36,4 @@
 #include <cfloat>
 #include <cassert>
-#include "objects/WorldEntity.h"
-#include "objects/SpaceShip.h"
 #include "core/CoreIncludes.h"
 #include "core/ConsoleCommand.h"
@@ -114,6 +112,8 @@
             for (ObjectList<RadarViewable>::iterator itElement = ObjectList<RadarViewable>::begin(); itElement; ++itElement)
             {
+/*
                 if ((*itElement) != SpaceShip::getLocalShip() && (*itListener)->getRadarSensitivity() > (*itElement)->getRadarObjectCamouflage())
                     (*itListener)->displayObject(*itElement, *itElement == this->focus_);
+*/
             }
         }
@@ -130,5 +130,5 @@
         else
         {
-            Vector3 localPosition = SpaceShip::getLocalShip()->getPosition();
+            Vector3 localPosition;// = SpaceShip::getLocalShip()->getPosition();
             Vector3 targetPosition = localPosition;
             if (*(this->itFocus_))
@@ -143,7 +143,8 @@
             for (ObjectList<RadarViewable>::iterator it = ObjectList<RadarViewable>::begin(); it; ++it)
             {
+/*
                 if (*it == SpaceShip::getLocalShip())
                     continue;
-
+*/
                 float targetDistance = localPosition.squaredDistance((*it)->getWorldPosition());
                 if (targetDistance > currentDistance && targetDistance < nextDistance)
Index: code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.cc
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.cc	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.cc	(revision 1916)
@@ -31,5 +31,5 @@
 #include "util/Debug.h"
 #include "core/CoreIncludes.h"
-#include "objects/WorldEntity.h"
+//#include "objects/WorldEntity.h"
 #include "Radar.h"
 
@@ -63,5 +63,5 @@
     {
         validate();
-        return this->radarObject_->getWorldPosition();
+        return Vector3::ZERO;//this->radarObject_->getWorldPosition();
     }
 
@@ -69,5 +69,5 @@
     {
         validate();
-        return this->radarObject_->getOrientation() * this->radarObject_->getVelocity();
+        return Vector3::ZERO;//this->radarObject_->getOrientation() * this->radarObject_->getVelocity();
     }
 }
Index: code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.h
===================================================================
--- code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.h	(revision 1915)
+++ code/branches/objecthierarchy/src/orxonox/objects/RadarViewable.h	(revision 1916)
@@ -44,4 +44,6 @@
     class _OrxonoxExport RadarViewable : virtual public OrxonoxClass
     {
+    class WorldEntity;
+
     public:
         enum Shape
